import { createCustomField as publicCreateCustomField, getCustomField as publicGetCustomField, listCustomFields as publicListCustomFields, updateCustomField as publicUpdateCustomField, deleteCustomField as publicDeleteCustomField, hideCustomField as publicHideCustomField, updateCustomFieldsOrder as publicUpdateCustomFieldsOrder } from './members-v1-custom-field-custom-field.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const createCustomField: MaybeContext<BuildRESTFunction<typeof publicCreateCustomField> & typeof publicCreateCustomField>;
export declare const getCustomField: MaybeContext<BuildRESTFunction<typeof publicGetCustomField> & typeof publicGetCustomField>;
export declare const listCustomFields: MaybeContext<BuildRESTFunction<typeof publicListCustomFields> & typeof publicListCustomFields>;
export declare const updateCustomField: MaybeContext<BuildRESTFunction<typeof publicUpdateCustomField> & typeof publicUpdateCustomField>;
export declare const deleteCustomField: MaybeContext<BuildRESTFunction<typeof publicDeleteCustomField> & typeof publicDeleteCustomField>;
export declare const hideCustomField: MaybeContext<BuildRESTFunction<typeof publicHideCustomField> & typeof publicHideCustomField>;
export declare const updateCustomFieldsOrder: MaybeContext<BuildRESTFunction<typeof publicUpdateCustomFieldsOrder> & typeof publicUpdateCustomFieldsOrder>;
export { Privacy, Type, SocialTypeType, Origin, AppliesTo, Section, State, SiteCreatedContext, Namespace, DeleteStatus, WebhookIdentityType, } from './members-v1-custom-field-custom-field.universal.js';
export { CustomField, CreateCustomFieldRequest, CreateCustomFieldResponse, IncorrectFieldTypeData, IncorrectPrivacyData, InvalidSocialTypeData, GetCustomFieldRequest, GetCustomFieldResponse, ListCustomFieldsRequest, Paging, ListCustomFieldsResponse, PagingMetadata, UpdateCustomFieldRequest, UpdateCustomFieldResponse, DefaultPrivacyChanged, ReservedFieldNameNonEditable, DeleteCustomFieldRequest, DeleteCustomFieldResponse, HideCustomFieldRequest, HideCustomFieldResponse, UpdateCustomFieldsOrderRequest, UpdateCustomFieldsOrderResponse, MetaSiteSpecialEvent, MetaSiteSpecialEventPayloadOneOf, Asset, SiteCreated, SiteTransferred, SiteDeleted, DeleteContext, SiteUndeleted, SitePublished, SiteUnpublished, SiteMarkedAsTemplate, SiteMarkedAsWixSite, ServiceProvisioned, ServiceRemoved, SiteRenamed, SiteHardDeleted, NamespaceChanged, StudioAssigned, StudioUnassigned, Empty, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, CustomFieldNonNullableFields, CreateCustomFieldResponseNonNullableFields, GetCustomFieldResponseNonNullableFields, ListCustomFieldsResponseNonNullableFields, UpdateCustomFieldResponseNonNullableFields, UpdateCustomFieldsOrderResponseNonNullableFields, ListCustomFieldsOptions, UpdateCustomField, UpdateCustomFieldsOrderOptions, } from './members-v1-custom-field-custom-field.universal.js';
