import * as ambassadorWixMembersV1CustomFieldTypes from './members-v1-custom-field-custom-field.types.js';
import * as ambassadorWixMembersV1CustomFieldUniversalTypes from './members-v1-custom-field-custom-field.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createCustomField(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixMembersV1CustomFieldUniversalTypes.CreateCustomFieldRequest, ambassadorWixMembersV1CustomFieldTypes.CreateCustomFieldRequest, ambassadorWixMembersV1CustomFieldUniversalTypes.CreateCustomFieldResponse & ambassadorWixMembersV1CustomFieldUniversalTypes.CreateCustomFieldResponseNonNullableFields, ambassadorWixMembersV1CustomFieldTypes.CreateCustomFieldResponse & ambassadorWixMembersV1CustomFieldTypes.CreateCustomFieldResponseNonNullableFields>;
export declare function getCustomField(): __PublicMethodMetaInfo<'GET', {
    id: string;
}, ambassadorWixMembersV1CustomFieldUniversalTypes.GetCustomFieldRequest, ambassadorWixMembersV1CustomFieldTypes.GetCustomFieldRequest, ambassadorWixMembersV1CustomFieldUniversalTypes.GetCustomFieldResponse & ambassadorWixMembersV1CustomFieldUniversalTypes.GetCustomFieldResponseNonNullableFields, ambassadorWixMembersV1CustomFieldTypes.GetCustomFieldResponse & ambassadorWixMembersV1CustomFieldTypes.GetCustomFieldResponseNonNullableFields>;
export declare function listCustomFields(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixMembersV1CustomFieldUniversalTypes.ListCustomFieldsRequest, ambassadorWixMembersV1CustomFieldTypes.ListCustomFieldsRequest, ambassadorWixMembersV1CustomFieldUniversalTypes.ListCustomFieldsResponse & ambassadorWixMembersV1CustomFieldUniversalTypes.ListCustomFieldsResponseNonNullableFields, ambassadorWixMembersV1CustomFieldTypes.ListCustomFieldsResponse & ambassadorWixMembersV1CustomFieldTypes.ListCustomFieldsResponseNonNullableFields>;
export declare function updateCustomField(): __PublicMethodMetaInfo<'PATCH', {
    fieldId: string;
}, ambassadorWixMembersV1CustomFieldUniversalTypes.UpdateCustomFieldRequest, ambassadorWixMembersV1CustomFieldTypes.UpdateCustomFieldRequest, ambassadorWixMembersV1CustomFieldUniversalTypes.UpdateCustomFieldResponse & ambassadorWixMembersV1CustomFieldUniversalTypes.UpdateCustomFieldResponseNonNullableFields, ambassadorWixMembersV1CustomFieldTypes.UpdateCustomFieldResponse & ambassadorWixMembersV1CustomFieldTypes.UpdateCustomFieldResponseNonNullableFields>;
export declare function deleteCustomField(): __PublicMethodMetaInfo<'DELETE', {
    id: string;
}, ambassadorWixMembersV1CustomFieldUniversalTypes.DeleteCustomFieldRequest, ambassadorWixMembersV1CustomFieldTypes.DeleteCustomFieldRequest, ambassadorWixMembersV1CustomFieldUniversalTypes.DeleteCustomFieldResponse, ambassadorWixMembersV1CustomFieldTypes.DeleteCustomFieldResponse>;
export declare function hideCustomField(): __PublicMethodMetaInfo<'POST', {
    id: string;
}, ambassadorWixMembersV1CustomFieldUniversalTypes.HideCustomFieldRequest, ambassadorWixMembersV1CustomFieldTypes.HideCustomFieldRequest, ambassadorWixMembersV1CustomFieldUniversalTypes.HideCustomFieldResponse, ambassadorWixMembersV1CustomFieldTypes.HideCustomFieldResponse>;
export declare function updateCustomFieldsOrder(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixMembersV1CustomFieldUniversalTypes.UpdateCustomFieldsOrderRequest, ambassadorWixMembersV1CustomFieldTypes.UpdateCustomFieldsOrderRequest, ambassadorWixMembersV1CustomFieldUniversalTypes.UpdateCustomFieldsOrderResponse & ambassadorWixMembersV1CustomFieldUniversalTypes.UpdateCustomFieldsOrderResponseNonNullableFields, ambassadorWixMembersV1CustomFieldTypes.UpdateCustomFieldsOrderResponse & ambassadorWixMembersV1CustomFieldTypes.UpdateCustomFieldsOrderResponseNonNullableFields>;
