"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateCustomFieldsOrder = exports.hideCustomField = exports.deleteCustomField = exports.updateCustomField = exports.listCustomFields = exports.getCustomField = exports.createCustomField = void 0;
const ambassadorWixMembersV1CustomField = __importStar(require("./members-v1-custom-field-custom-field.http.js"));
function createCustomField() {
    const payload = {};
    const getRequestOptions = ambassadorWixMembersV1CustomField.createCustomField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/custom-fields',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createCustomField = createCustomField;
function getCustomField() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixMembersV1CustomField.getCustomField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/custom-fields/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getCustomField = getCustomField;
function listCustomFields() {
    const payload = {};
    const getRequestOptions = ambassadorWixMembersV1CustomField.listCustomFields(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/custom-fields',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.listCustomFields = listCustomFields;
function updateCustomField() {
    const payload = { field: { id: ':fieldId' } };
    const getRequestOptions = ambassadorWixMembersV1CustomField.updateCustomField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/custom-fields/{field.id}',
        pathParams: { fieldId: 'fieldId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateCustomField = updateCustomField;
function deleteCustomField() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixMembersV1CustomField.deleteCustomField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/custom-fields/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteCustomField = deleteCustomField;
function hideCustomField() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixMembersV1CustomField.hideCustomField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/custom-fields/{id}/hide',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.hideCustomField = hideCustomField;
function updateCustomFieldsOrder() {
    const payload = {};
    const getRequestOptions = ambassadorWixMembersV1CustomField.updateCustomFieldsOrder(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/custom-fields/order',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateCustomFieldsOrder = updateCustomFieldsOrder;
//# sourceMappingURL=members-v1-custom-field-custom-field.meta.js.map