"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.Type = exports.State = exports.SocialTypeType = exports.SiteCreatedContext = exports.Section = exports.Privacy = exports.Origin = exports.Namespace = exports.DeleteStatus = exports.AppliesTo = exports.updateCustomFieldsOrder = exports.hideCustomField = exports.deleteCustomField = exports.updateCustomField = exports.listCustomFields = exports.getCustomField = exports.createCustomField = exports.__metadata = void 0;
const members_v1_custom_field_custom_field_universal_js_1 = require("./members-v1-custom-field-custom-field.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/members' };
function createCustomField(httpClient) {
    return (field) => (0, members_v1_custom_field_custom_field_universal_js_1.createCustomField)(field, 
    // @ts-ignore
    { httpClient });
}
exports.createCustomField = createCustomField;
function getCustomField(httpClient) {
    return (_id) => (0, members_v1_custom_field_custom_field_universal_js_1.getCustomField)(_id, 
    // @ts-ignore
    { httpClient });
}
exports.getCustomField = getCustomField;
function listCustomFields(httpClient) {
    return (options) => (0, members_v1_custom_field_custom_field_universal_js_1.listCustomFields)(options, 
    // @ts-ignore
    { httpClient });
}
exports.listCustomFields = listCustomFields;
function updateCustomField(httpClient) {
    return (_id, field) => (0, members_v1_custom_field_custom_field_universal_js_1.updateCustomField)(_id, field, 
    // @ts-ignore
    { httpClient });
}
exports.updateCustomField = updateCustomField;
function deleteCustomField(httpClient) {
    return (_id, revision) => (0, members_v1_custom_field_custom_field_universal_js_1.deleteCustomField)(_id, revision, 
    // @ts-ignore
    { httpClient });
}
exports.deleteCustomField = deleteCustomField;
function hideCustomField(httpClient) {
    return (_id, revision) => (0, members_v1_custom_field_custom_field_universal_js_1.hideCustomField)(_id, revision, 
    // @ts-ignore
    { httpClient });
}
exports.hideCustomField = hideCustomField;
function updateCustomFieldsOrder(httpClient) {
    return (fieldIds, options) => (0, members_v1_custom_field_custom_field_universal_js_1.updateCustomFieldsOrder)(fieldIds, options, 
    // @ts-ignore
    { httpClient });
}
exports.updateCustomFieldsOrder = updateCustomFieldsOrder;
var members_v1_custom_field_custom_field_universal_js_2 = require("./members-v1-custom-field-custom-field.universal.js");
Object.defineProperty(exports, "AppliesTo", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.AppliesTo; } });
Object.defineProperty(exports, "DeleteStatus", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.DeleteStatus; } });
Object.defineProperty(exports, "Namespace", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.Namespace; } });
Object.defineProperty(exports, "Origin", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.Origin; } });
Object.defineProperty(exports, "Privacy", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.Privacy; } });
Object.defineProperty(exports, "Section", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.Section; } });
Object.defineProperty(exports, "SiteCreatedContext", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.SiteCreatedContext; } });
Object.defineProperty(exports, "SocialTypeType", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.SocialTypeType; } });
Object.defineProperty(exports, "State", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.State; } });
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.Type; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return members_v1_custom_field_custom_field_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=members-v1-custom-field-custom-field.public.js.map