import * as ambassadorWixMembersV1CustomField from './members-v1-custom-field-custom-field.http.js';
export function createCustomField() {
    const payload = {};
    const getRequestOptions = ambassadorWixMembersV1CustomField.createCustomField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/custom-fields',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getCustomField() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixMembersV1CustomField.getCustomField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/custom-fields/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function listCustomFields() {
    const payload = {};
    const getRequestOptions = ambassadorWixMembersV1CustomField.listCustomFields(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/custom-fields',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function updateCustomField() {
    const payload = { field: { id: ':fieldId' } };
    const getRequestOptions = ambassadorWixMembersV1CustomField.updateCustomField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/custom-fields/{field.id}',
        pathParams: { fieldId: 'fieldId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deleteCustomField() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixMembersV1CustomField.deleteCustomField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/custom-fields/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function hideCustomField() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixMembersV1CustomField.hideCustomField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/custom-fields/{id}/hide',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function updateCustomFieldsOrder() {
    const payload = {};
    const getRequestOptions = ambassadorWixMembersV1CustomField.updateCustomFieldsOrder(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/custom-fields/order',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=members-v1-custom-field-custom-field.meta.js.map