import { createCustomField as universalCreateCustomField, deleteCustomField as universalDeleteCustomField, getCustomField as universalGetCustomField, hideCustomField as universalHideCustomField, listCustomFields as universalListCustomFields, updateCustomField as universalUpdateCustomField, updateCustomFieldsOrder as universalUpdateCustomFieldsOrder, } from './members-v1-custom-field-custom-field.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/members' };
export function createCustomField(httpClient) {
    return (field) => universalCreateCustomField(field, 
    // @ts-ignore
    { httpClient });
}
export function getCustomField(httpClient) {
    return (_id) => universalGetCustomField(_id, 
    // @ts-ignore
    { httpClient });
}
export function listCustomFields(httpClient) {
    return (options) => universalListCustomFields(options, 
    // @ts-ignore
    { httpClient });
}
export function updateCustomField(httpClient) {
    return (_id, field) => universalUpdateCustomField(_id, field, 
    // @ts-ignore
    { httpClient });
}
export function deleteCustomField(httpClient) {
    return (_id, revision) => universalDeleteCustomField(_id, revision, 
    // @ts-ignore
    { httpClient });
}
export function hideCustomField(httpClient) {
    return (_id, revision) => universalHideCustomField(_id, revision, 
    // @ts-ignore
    { httpClient });
}
export function updateCustomFieldsOrder(httpClient) {
    return (fieldIds, options) => universalUpdateCustomFieldsOrder(fieldIds, options, 
    // @ts-ignore
    { httpClient });
}
export { AppliesTo, DeleteStatus, Namespace, Origin, Privacy, Section, SiteCreatedContext, SocialTypeType, State, Type, WebhookIdentityType, } from './members-v1-custom-field-custom-field.universal.js';
//# sourceMappingURL=members-v1-custom-field-custom-field.public.js.map